Bug 241230 - net-p2p/monero-cli: Fix build on non-x86
Summary: net-p2p/monero-cli: Fix build on non-x86
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-13 16:45 UTC by Piotr Kubaj
Modified: 2019-10-16 15:30 UTC (History)
1 user (show)

See Also:
vd: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch (2.19 KB, patch)
2019-10-13 16:45 UTC, Piotr Kubaj
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-13 16:45:17 UTC
Created attachment 208283 [details]
patch

Checking battery status uses x86-only headers and functions. Remove this functionality to get it to build on other architectures.

Upstream PR: https://github.com/monero-project/monero/pull/5984
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-13 23:01:37 UTC
Comment on attachment 208283 [details]
patch

@Piotr, build fixes are:

Approved by: portmgr (blanket: build fix)

And don't require maintainer approval (assuming comprehensive QA: PASS)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2019-10-14 02:09:34 UTC
Approved as mentor (built on ppcports) pending maintainer review.
Comment 3 Vasil Dimov freebsd_committer 2019-10-14 07:50:40 UTC
Piotr,

Approved! Notice - even if __amd64__ suffices for FreeBSD, it would be good to add the same patch to files/ as will be committed upstream to make conflict resolution with the next version more trivial. That is - add __x86_64__ as in the GitHub pull request.

Thanks!
Comment 4 commit-hook freebsd_committer 2019-10-16 15:30:22 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Oct 16 15:29:20 UTC 2019
New revision: 514600
URL: https://svnweb.freebsd.org/changeset/ports/514600

Log:
  net-p2p/monero-cli: fix build on non-x86

  Checking battery status uses x86-only headers and functions. Remove this functionality to get it to build on other architectures.

  PR:             241230
  Approved by:    linimon (mentor), vd (maintainer)
  Pull Request:   https://github.com/monero-project/monero/pull/5984
  Differential Revision:  https://reviews.freebsd.org/D22027

Changes:
  head/net-p2p/monero-cli/Makefile
  head/net-p2p/monero-cli/files/patch-src_cryptonote__basic_miner.cpp